Table of ContentsView in Frames

Considerations for upgrading the virtual appliance for VSC, VASA Provider, and SRA

If you have an existing deployment of Virtual Storage Console (VSC), VASA Provider, or Storage Replication Adapter (SRA) in your vCenter Server environment, then you can upgrade to the 7.2 version of the virtual appliance for VSC, VASA Provider, and SRA. The upgrade process depends on your deployment model and the software version of your products.

You can have any one of the following combinations of products in your deployment:

If you have VSC 6.2.x or VASA Provider 6.2.x in any of the deployment models, then to upgrade to the latest version of the virtual appliance for VSC, VASA Provider, and SRA, you must migrate your data and configuration files manually. If you have SRA 4.0 in any of the deployment models, then you must perform an in-place upgrade to the 7.0 version of the virtual appliance, and then upgrade to the 7.2 version of the virtual appliance.

The following operations for upgrading or migrating to the latest version of the virtual appliance for VSC, VASA Provider, and SRA are supported:

You can perform an in-place upgrade from the 7.x version of the virtual appliance to the latest version of the virtual appliance for VSC, VASA Provider, and SRA after upgrading from your existing deployment to the 7.x version of the virtual appliance.

If your existing deployment has… Do this…
Version 7.0 or 7.1 of the virtual appliance for VSC, VASA Provider, and SRA Perform an in-place upgrade to the 7.2 version of the virtual appliance for VSC, VASA Provider, and SRA.
Virtual Storage Console 6.2.x
  • Deploy the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Migrate your existing metadata to the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Perform an in-place upgrade to the 7.2 version of the virtual appliance for VSC, VASA Provider, and SRA.
VASA Provider 6.2.x
  • Unregister VASA Provider.
  • Deploy the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Add storage systems to the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Migrate your existing metadata to the 7.0 version of the virtual appliance.
  • Perform an in-place upgrade to the 7.2 version of the virtual appliance for VSC, VASA Provider, and SRA.
SRA 2.1 or 3.0
  • Unregister SRA.
  • Deploy the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Add storage systems to the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Migrate your existing data and configurations to the 7.0 version of the virtual appliance
  • Perform an in-place upgrade to the 7.2 version of the virtual appliance for VSC, VASA Provider, and SRA
SRA 4.0
  • Perform an in-place upgrade to the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Perform an in-place upgrade to the 7.2 version of the virtual appliance for VSC, VASA Provider, and SRA.
Virtual Storage Console 6.2.x and VASA Provider 6.x
  • Unregister VASA Provider.
  • Deploy the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Add storage systems to the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Migrate your existing metadata to the 7.0 version of the virtual appliance.
  • Perform an in-place upgrade to the 7.2 version of the virtual appliance for VSC, VASA Provider, and SRA.
Virtual Storage Console 6.2.x and SRA 2.1 or 3.0
  • Unregister SRA.
  • Deploy the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Add storage systems to the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Migrate your metadata to the 7.0 version of the virtual appliance.
  • Perform an in-place upgrade to the 7.2 version of the virtual appliance for VSC, VASA Provider, and SRA.
Virtual Storage Console 6.2.x, VASA Provider 6.x, and SRA 2.1 or 3.0
  • Unregister VASA Provider and SRA.
  • Deploy the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Add storage systems to the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Migrate your existing metadata to the 7.0 version of the virtual appliance.
  • Perform an in-place upgrade to the 7.2 version of the virtual appliance for VSC, VASA Provider, and SRA.
Virtual Storage Console 6.2.x, VASA Provider 6.x, and SRA 4.0
  • Unregister VASA Provider.
  • Deploy the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Add storage systems to the 7.0 version of the virtual appliance for VSC, VASA Provider, and SRA.
  • Migrate your existing metadata to the 7.0 version of the virtual appliance.
  • Perform an in-place upgrade to the 7.2 version of the virtual appliance for VSC, VASA Provider, and SRA.